shishi_as_process(3)

NAME
shishi_as_process - API function

SYNOPSIS
#include <shishi.h>

int shishi_as_process(Shishi * handle, Shishi_asn1 asreq, Shishi_asn1 asrep, const char * string, Shishi_asn1 * enckdcreppart);

ARGUMENTS

Shishi * handle
    Shishi handle as allocated by shishi_init().

Shishi_asn1 asreq
    Input variable holding the transmitted KDC-REQ.

Shishi_asn1 asrep
    Input variable holding the received KDC-REP.

const char * string
    Input variable with a null terminated password.

Shishi_asn1 * enckdcreppart
    Output variable returning a new EncKDCRepPart.

DESCRIPTION
Processes an AS client exchange and returns the decrypted EncKDCRepPart, holding details about the received ticket. This function simply derives the encryption key from the password, and then calls shishi_kdc_process().

RETURN VALUE
Returns SHISHI_OK if the AS client exchange was successful. Multiple failure conditions are possible.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.